Class List Method List File List

# Class: Concurrent::LockFreeQueue::Node

Inherits:
  Synchronization::Object
  - Object
  - Synchronization::Object
  - Concurrent::LockFreeQueue::Node
  show all
Defined in:
  lib/concurrent/edge/lock_free_queue.rb

## Instance Method Summary (collapse)

- - (Node) initialize(item, successor) constructor

  A new instance of Node.

- - (undocumented) item

## Constructor Details

### - (`Node`) initialize(item, successor)

Returns a new instance of Node

    9
    10
    11
    12
    13
    14

    # File 'lib/concurrent/edge/lock_free_queue.rb', line 9

    def initialize(item, successor)
      super()
      # published through queue, no need to be volatile or final
      @Item          = item
      self.successor = successor
    end

## Instance Method Details

### - (`undocumented`) item

    16
    17
    18

    # File 'lib/concurrent/edge/lock_free_queue.rb', line 16

    def item
      @Item
    end